import subprocess
import logging

logger = logging.getLogger(__name__)

_DRY_RUN = False

def set_is_dry_run(is_dry_run: bool):
    _DRY_RUN = is_dry_run

def run_op(op: str):
    if _DRY_RUN:
        return subprocess.run(op, shell=True) 
    else:
        logger.info(f"Dry Run | {op}")