This repo has some scripts that I use for managing machines and containers.

# Samples

## Set up a machine with a named non-root user and some secure ssh config.

```sh
python3 src/machine_setup.py
```

# Running Tests

```sh
python3 -m venv --prompt machine_admin .venv
source .venv/bin/activate
pip install -r test/requirements.txt
pytest
```

# Copyright

The contents of this repo are Copyright James Grogan 2024. Software is licensed under the AGPL. See the included LICENSE file for details.

